Report Endpoint

note: The {yourAgencyName} placeholder should be substituted with the subdomain of the URL you use to access the Affluent dashboard. For instance, if you log in at “dundermifflin.affluent.io” then you should replace {yourAgencyName} with “dundermifflin”

The Report endpoint allows you to query aggregated data in a completely customizable format. While common use cases might include pulling revenue, commission, and clicks by date, publisher, or brand, you can create literally any report using this endpoint.

The JSON body requires:

  1. A currency flag. All results will be converted into the specified currency. For example:
"currency": "USD"
  1. A dates object that specifies the date range for which you would like to query data. All requests should be made using eventDateStart and eventDateEnd. Querying based on modified times is not supported in the Report endpoint. Note that these dates are requested in UTC time and the date range you specify can not be larger than 62 days.
  2. A categories array. This should contain all the fields you would like to group by. For example the following array will return data grouped by date, publisher ID, and publisher name:
"categories": [ "date", "platformName", "publisherName", "publisherId" ]
  1. A metrics array. This should contain all the metrics you would like. For example, the following array will return net revenue, net commissions, and clicks:
"metrics": [ "advertiserRevenueNet", "publisherCommissionNet", "clickCount" ]
  1. A limit and offset (see Limit and Offset)

The JSON body can additionally accept:

  1. Filters
  2. Sort
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
enum
dates
categories
array of strings
required
integer
1 to 7
Defaults to 1

Specify first day of week: 1 (Monday) - 7 (Sunday)

metrics
array
required
length ≥ 1
Metrics to get*
boolean
integer
1 to 100000
Defaults to 100
integer
≥ 0
Defaults to 0

Can be used for pagination in combination with 'limit'

sort
object

Specify sort order in a form of { [columnName]: "ASC"|"DESC" }

filters
object
having
object
boolean
Defaults to false

If set to true result will only contain total number of rows

boolean
Defaults to false

If set to true the new experimental pagination logic will be used. That should speed up pagination when dealing with huge results.

Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/stream+json